Subject: [ietf-calsify] Issue RK-4 in rfc2445bis-08 [Was: [Ietf-calsify] Review of rfc2447bis-05]

From: Bernard Desruisseaux <[email-masked]>
Date: Thu, 16 Oct 2008 16:22:51 -0400

Hi Reinhold,

http://reinhold.kainhofer.com/Computing/Review_RFC2446bis_2008-09.html#id38

 > Issues in rfc2445bis-08:
 >
 > 4. Sec. "3.3.10. Recurrence Rule" (p.40): As discussed in issue *
 > for Sec. 4.4 above, the description of INTERVAL can possibly be
 > misunderstood. The next sentence explains it better, but it also
 > only uses an interval of 1. Furthermore, anyone who misunderstood
 > the first, ambiguous sentence will not be corrected by that second
 > sentence. I propose to change the first sentence to:
 >
 >      The INTERVAL rule part contains a positive integer
 >      representing  at which intervals the recurrence rule
 >      repeats.
 >
 >   Furthermore, I would add one more sentence to that paragraph:
 >
 >      A value of "2" means for example every other day for a DAILY
 >      rule, etc.
 >
 >   This explains the use of INTERVAL much better than the default
 >   value of "1".

I propose to change:

   The INTERVAL rule part contains a positive integer representing
   how often the recurrence rule repeats.  The default value is "1",
   meaning every second for a SECONDLY rule, or every minute for a
   MINUTELY rule, every hour for an HOURLY rule, every day for a
   DAILY rule, every week for a WEEKLY rule, every month for a
   MONTHLY rule and every year for a YEARLY rule.

to:

   The INTERVAL rule part contains a positive integer representing
   at which intervals the recurrence instances occur.  The default value
   is "1", meaning every second for a SECONDLY rule, every minute for
   a MINUTELY rule, every hour for an HOURLY rule, every day for a
   DAILY rule, every week for a WEEKLY rule, every month for a
   MONTHLY rule, and every year for a YEARLY rule.  For example,
   within a DAILY rule, a value of "2" means every other day.

Thanks,
Bernard
_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: Cyrus Daboo <[email-masked]>
Date: Thu, 16 Oct 2008 16:44:36 -0400

Hi Bernard,

>    within a DAILY rule, a value of "2" means every other day.

Alternative first sentence:

    The INTERVAL rule part contains a positive integer representing the
    interval from one recurrence instance to the next.

-- 
Cyrus Daboo

---

From: Bernard Desruisseaux <[email-masked]>
Date: Fri, 17 Oct 2008 14:06:23 -0400

>    interval from one recurrence instance to the next.

Actually, we shouldn't talk about "recurrence instance" here. Depending 
on other rule parts there may not be a recurrence instance at the next 
interval.

I'll go with the exact phrasing proposed by Reinhold, that is:

   The INTERVAL rule part contains a positive integer representing
   at which intervals the recurrence rule repeats.

Cheers,
Bernard

---

From: Bernard Desruisseaux <[email-masked]>
Date: Fri, 17 Oct 2008 14:08:45 -0400

I changed the example as suggested by Nigel.

Cheers,
Bernard

Nigel Swinson wrote:
> I think I'd rather
> -   within a DAILY rule, a value of "2" means every other day.
> +   within a DAILY rule, a value of "8" means every eight days.
> 
> The phrase "every other day" is pretty quirky English, I'd be worried 
> about it being misunderstood.
> 
> Nigel
>